<?php
/**
 *
 * @author IBBoard (IBBoard) phpbb@ibboard.co.uk
 * @version $Id$
 * @copyright (c) 2010 IBBoard
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('UMIL_AUTO', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'Multi-Race Rank Themes';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'multirace_rank_themes_version';


// The language file which will be included when installing
$language_file = 'mods/permissions_MultiRaceRankThemes';


/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
//$logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.4.2' => array(

		'permission_add' => array(
			array('u_change_rank_theme', 1),
		),

		'table_add' => array(
			array('phpbb_rank_themes', array(
				'COLUMNS' => array(
					'rtheme_id' => array('INT:10', NULL, 'auto_increment'),
					'rtheme_title' => array('VCHAR:50', ''),
					'rtheme_public' => array('TINT:1', 0),
				),

				'PRIMARY_KEY'	=> array('rtheme_id'),
			)),

		),

		'table_column_add' => array(
			array('phpbb_users', 'user_rank_theme', array('INT:10', 1)),
			array('phpbb_ranks', 'rank_theme', array('INT:10', 1)),
		),
		
		'table_row_update' => array(
			array('phpbb_ranks', array('rank_special' => 1), array('rank_theme' => -1))
		),
		
		'table_row_insert' => array(
			array('phpbb_rank_themes', array(
				array('rtheme_id' => -1, 'rtheme_title' => 'Special', 'rtheme_public' => 0),
				array('rtheme_id' => 1, 'rtheme_title' => 'Default', 'rtheme_public' => 1)
			))
		),
		
	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);